# Проект библиотеки для работы с подсчётом количества изготовления продукции

Проект для работы с подсчётом количества изготовления продукции.
Метод:
 **GetQuantityForProduct()** - метод для подсчёта количества чистой продукции, которую необходимо изготовить с учётом брака продукции.
Аргументы:
 - int productType - тип продукта
 - int materialType - тип материала
 - int count - количество сырья
 - float width - ширина
 - float length - длина



## Начало работы

Эти инструкции предоставят вам копию проекта бибилиотеки DLL, которую вы можете запустить и протестировать на своём персональном компьютере.
Вы можете получить копию проекта следуя одному из двух путей:
1. Скачивание архива из репозитория, находящегося на сайте GOGS
2. Клонирование репозитория, находящегося на сайте GOGS


### Необходимые условия

Для работы с проектом требуется: 
- IDE Visual Studio для работы с проектом [Microsoft Visual Studio](https://visualstudio.microsoft.com/ru/)
- Доступ к GOGS [Репозиторий проекта](http://gogs.ngknn.ru:3000/AsterDk/WSUniversalLib)

### Установка

1. **Скачивание архива**
	- Скачать архив из GOGS репозитория, нажав на кнопку скачивания архива рядом со ссылкой на репозиторий и выбрав тип архива
	- Разархивировать скаченный архив
	- Открыть проект кликом по .sln файлу в разархивированной папке

2. **Клонирование репозитория**
	- Открыть Microsoft Visual Studio
	- В стартовом меню выбрать пункт "Клонирование репозитория"
	- В появившемся окне, в поле "Расположение репозитория" необходимо скопировать ссылку на репозиторий
	- В поле "Путь" можно выбрать путь скачивания проекта или оставить его по умолчанию
	- Нажать на кнопку "Клонировать"


## Авторы

* **Dmitry Kudryashov** - [AsterDK](http://gogs.ngknn.ru:3000/AsterDk)